# manifest.c File Reference

`#include "system.h"`
`#include <rpmio_internal.h>`
`#include <rpmlib.h>`
`#include "stringbuf.h"`
`#include "manifest.h"`
`#include "misc.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

char * | rpmPermsString (int mode)
| Return ls(1)-like formatted mode string.
int | rpmReadPackageManifest (FD_t fd, int *argcPtr, const char ***argvPtr)
| Read manifest, glob items, and append to existing args.

## Detailed Description

Definition in file manifest.c.

## Function Documentation

char* rpmPermsString | ( | int | mode | ) |

Return ls(1)-like formatted mode string.

Parameters:

  | mode | file mode

Returns:
  (malloc'd) formatted mode string

Definition at line 17 of file manifest.c.

References S_ISLNK, S_ISSOCK, and xstrdup().

Referenced by permsFormat(), and printFileInfo().

int rpmReadPackageManifest | ( | FD_t | fd,
|  | int * | argcPtr,
|  | const char *** | argvPtr
| ) |

Read manifest, glob items, and append to existing args.

Todo:
  Infinite loops through manifest files exist, operator error for now.

Definition at line 59 of file manifest.c.

References _free(), appendStringBuf, fdGetFp(), freeStringBuf(), getStringBuf(), newStringBuf(), rpmGlob(), and xcalloc().

Referenced by rpmInstall(), and rpmQueryVerify().